unit Unit1;
{
 version 1.1
 added combobox
 added hex display
} 

interface

uses
  Windows, SysUtils, Classes, Graphics, Controls, Forms, StdCtrls, ExtCtrls,
  shellApi;

type
  TForm1 = class(TForm)
    StaticText2: TStaticText;
    PaintBox1: TPaintBox;
    fontbox: TComboBox;
    Label1: TLabel;
    StaticText1: TStaticText;
    StaticText3: TStaticText;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure PaintBox1Paint(Sender: TObject);
    procedure PaintBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure fontboxChange(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 fontbox.Items := screen.fonts;
 fontbox.itemindex := fontbox.items.indexof('arial');
end;

procedure TForm1.PaintBox1Paint(Sender: TObject);
var i,j : byte;
    findex : integer;
    x,y : word;
begin
 with paintbox1 do
  with canvas do
   begin
    pen.color := $c0c0c0;
    for i := 0 to 16 do
     begin
      x := 25*i;
      moveto(x,0);
      lineto(x,height);
      y := 30*i;
      moveto(0,y);
      lineto(width,y);
     end;
    font.name := fontbox.items[fontbox.itemindex];
    brush.color := clBtnFace;
    brush.style := bsClear;
    for i := 0 to 15 do
     for j := 0 to 15 do
      textout(25*j+5,30*i+4,char(16*i+j));
   end;
end;

procedure TForm1.PaintBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var code : byte;
begin
 if shift <> [] then exit;
 code := x div 25 + (y div 30)*16;
 statictext1.caption := inttostr(code);
 statictext3.caption := inttohex(code,2);
end;

procedure TForm1.fontboxChange(Sender: TObject);
begin
 paintbox1.invalidate;
 statictext1.caption := '';
 statictext3.caption := '';
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
 ShellExecute(0,'open','http://www.davdata.nl/math', nil, nil, SW_SHOWNORMAL);
end;

end.
